{% extends "./index.html" %}
{% load static %}
{% block contenido %}
    <div class="container">
        <div class="row">
            <div class="col-md-6">
                <h1 class="text-center blanco-text">Nuevo Cliente</h1>
                <form class="mb-4" action="/guardarCliente/" method="post" enctype="multipart/form-data" id="frm_nuevo_clie">
                    {% csrf_token %}
                    <div class="mb-3">
                        <select class="form-control blanco-text" name="id_prov" id="id_prov" required>
                            <option value="">--Seleccione la Provincia--</option>
                            {% for provincia in provincias %}
                                <option value="{{provincia.id_bf}}">{{provincia.nombre_bf}}</option>
                            {% endfor %}
                        </select>
                    </div>
                    <div class="mb-3">
                        <label for="nombre_bf" class="form-label blanco-text">Nombre del Cliente:</label>
                        <input type="text" name="nombre_bf" id="nombre_bf" value="" class="form-control" required>
                    </div>
                    <div class="mb-3">
                        <label for="direccion_bf" class="form-label blanco-text">Dirección:</label>
                        <textarea name="direccion_bf" id="direccion_bf" cols="3" class="form-control" placeholder="Ingrese la Dirección:" required></textarea>
                    </div>
                    <div class="mb-3">
                        <label for="telefono_bf" class="form-label blanco-text">Teléfono:</label>
                        <input type="number" name="telefono_bf" id="telefono_bf" value="" class="form-control" placeholder="Ingrese el Teléfono:" required>
                    </div>
                    <div class="mb-3">
                        <label for="email_bf" class="form-label blanco-text"><b>Correo:</b></label>
                        <input type="email" name="email_bf" id="email_bf" value="" class="form-control" placeholder="Ingrese el Correo:" required>
                    </div>
                    <div class="text-center">
                        <button type="submit" name="button" class="btn btn-primary">Guardar</button>
                        <button type="reset" name="button" class="btn btn-danger">Cancelar</button>
                    </div>
                </form>
            </div>
            <div class="col-md-6">
                <h1 class="text-center blanco-text">LISTADO DE LOS CLIENTES</h1>
                <table class="table" id="tbl_clie">
                    <thead>
                        <tr>
                            <th>ID</th>
                            <th>NOMBRE</th>
                            <th>DIRECCION</th>
                            <th>TELEFONO</th>
                            <th>CORREO</th>
                            <th>PROVINCIA</th>
                            <th>ACCIONES</th>
                        </tr>
                    </thead>
                    <TBody>
                        {% for cliente in clientes %}
                            <tr>
                                <td>{{ cliente.id_bf }}</td>
                                <td>{{ cliente.nombre_bf }}</td>
                                <td>{{ cliente.direccion_bf }}</td>
                                <td>{{ cliente.telefono_bf }}</td>
                                <td>{{ cliente.email_bf }}</td>
                                <td>{{ cliente.provincia.nombre_bf }}</td>
                                <td>
                                    <a href="/editarCliente/{{ cliente.id_bf }}" class="btn btn-warning">Editar</a>
                                    <a href="javascript:void(0)" class="btn btn-danger" onclick="eliminarCliente('/eliminarCliente/{{ cliente.id_bf }}');">Borrar</a>
                                </td>
                            </tr>
                        {% endfor %}
                    </TBody>
                </table>
            </div>
        </div>
    </div>

    <script type="text/javascript">
        function eliminarCliente(url) {
            iziToast.question({
                timeout: 15000,
                close: true,
                overlay: true,
                displayMode: 'once',
                id: 'question',
                zindex: 999,
                title: 'CONFIRMACIÓN',
                message: '¿Está seguro de eliminar el cliente seleccionado?',
                position: 'center',
                buttons: [
                    ['<button><b>SI</b></button>', function (instance, toast) {
                        instance.hide({ transitionOut: 'fadeOut' }, toast, 'button');
                        window.location.href = url;
                    }, true],
                    ['<button>NO</button>', function (instance, toast) {
                        instance.hide({ transitionOut: 'fadeOut' }, toast, 'button');
                    }],
                ]
            });
        }
    </script>

    <script type="text/javascript">
        $("#frm_nuevo_clie").validate({
            rules: {
                "id_prov": {
                    required: true
                },
                "nombre_bf": {
                    required: true,
                    number: false
                },
                "direccion_bf": {
                    required: true
                },
                "telefono_bf": {
                    required: true,
                    number: true
                },
                "email_bf": {
                    required: true,
                    email: true
                }
            },
            messages: {
                "id_prov": {
                    required: "Por favor seleccione una Provincia"
                },
                "nombre_bf": {
                    required: "Por favor ingrese un Nombre"
                },
                "direccion_bf": {
                    required: "Debe ingresar una dirección válida"
                },
                "telefono_bf": {
                    required: "Debe ingresar un teléfono válido",
                    number: "Debe ingresar solo números"
                },
                "email_bf": {
                    required: "Debe ingresar un correo",
                    email: "Debe ingresar un correo válido"
                }
            }
        });
    </script>

    <script type="text/javascript">
           //let table = new DataTable('#tbl_clientes');
           $(document).ready(function() {
               $('#tbl_clie').DataTable({
                   dom: 'Bfrtip',
                   language: {
                     url: '//cdn.datatables.net/plug-ins/1.13.7/i18n/es-ES.json',
                   },
                   buttons: [
                       {
                           extend: 'pdfHtml5',
                           text: '<i class="fa fa-file-pdf-o"></i> PDF',
                           titleAttr: 'Exportar a PDF',
                           className: 'btn btn-danger', // Clase de estilo para el botón
                           title: 'LISTADO CLIENTES'
                       },
                       {
                           extend: 'print',
                           text: '<i class="fa fa-print"></i> Imprimir',
                           titleAttr: 'Imprimir',
                           className: 'btn btn-primary' // Clase de estilo para el botón
                       },
                       {
                           extend: 'csv',
                           text: '<i class="fa fa-file-text-o"></i> CSV',
                           titleAttr: 'Exportar a CSV',
                           className: 'btn btn-success' // Clase de estilo para el botón
                       }
                   ]
               });
           });

          </script>
{% endblock %}
